#include <defBF561.h>

.global _main;

.section data1
.byte4 delay = 0x3800000;

.section program
_main:
	
	P0.H = hi(FIO2_DIR);
	P0.L = lo(FIO2_DIR); 
	R0.L= 0xFFFF; //the direction is configured to output for LEDs
	w[P0] = R0.L;
	
	
	loop_1://This loop sets one LED at a time to '1' so as to get a blinking
			//effect for the set of LEDs in a particular pattern.
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x0000;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x8001;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x4002;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x2004;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x1008;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x0810;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x0420;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x0240;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	P0.H = hi(FIO2_FLAG_D);
	P0.L = lo(FIO2_FLAG_D); 
	R0.L = 0x0180;
	w[P0] = R0.L;
	
	CALL DELAY;
	
	JUMP loop_1;
	
	
	DELAY:
	p2.l = lo(delay);
	p2.h = hi(delay);
	p3 = [p2];
	lsetup(delay_loop, delay_loop) lc0=p3;
	delay_loop: nop;
	rts;
	
_main.end: